Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.util
[Java] Class CodecPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriter
                  org.codehaus.groovy.grails.web.util.CodecPrintWriter

    public class CodecPrintWriter
    extends GrailsPrintWriter

Field Summary

Fields inherited from class GrailsPrintWriter
CRLF, LOG, allowUnwrappingOut, out, trouble, usageFlag

Constructor Summary
`CodecPrintWriter(java.io.Writer out, java.lang.Class codecClass)`

Method Summary
`java.io.PrintWriter` | `append(char c)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
`GrailsPrintWriter` | `append(java.lang.Object obj)`
`void` | `append(StreamCharBuffer otherBuffer)`
`protected java.lang.Object` | `clone()`
`GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
`GrailsPrintWriter` | `leftShift(groovy.lang.Writable writable)`
`void` | `print(java.lang.Object obj)` Print an object.
`void` | `print(java.lang.String s)` Print a string.
`void` | `print(boolean b)` delegate methods, not synchronized *
`void` | `print(char c)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(float f)`
`void` | `print(double d)`
`void` | `print(char[] s)`
`void` | `print(StreamCharBuffer otherBuffer)`
`void` | `print(groovy.lang.Writable writable)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(float f)`
`void` | `println(double d)`
`void` | `println(char[] c)`
`void` | `println(java.lang.String s)`
`void` | `println(java.lang.Object o)`
`void` | `println(StreamCharBuffer otherBuffer)`
`void` | `write(java.lang.String s)` Writes a string.
`void` | `write(int c)` Write a single character.
`void` | `write(char[] buf, int off, int len)` Write a portion of an array of characters.
`void` | `write(java.lang.String s, int off, int len)` Write a portion of a string.
`void` | `write(char[] buf)`
`void` | `write(StreamCharBuffer otherBuffer)`
`void` | `write(groovy.lang.Writable writable)`

Methods inherited from class GrailsPrintWriter
append, append, append, append, append, checkError, clone, findStreamCharBufferTarget, flush, getFinalTarget, getOut, handleIOException, isAllowUnwrappingOut, isFinalTargetHere, isUsed, leftShift, leftShift, leftShift, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setFinalTargetHere, setUsed, write, write, write, write, write, write, write

Methods inherited from class java.io.PrintWriter
java.io.PrintWriter#println(char), java.io.PrintWriter#println(), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println([C), java.io.PrintWriter#println(double), java.io.PrintWriter#println(float), java.io.PrintWriter#println(long), java.io.PrintWriter#println(int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print(double), java.io.PrintWriter#print([C), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### CodecPrintWriter

    public CodecPrintWriter(java.io.Writer out, java.lang.Class codecClass)

Method Detail

### append

    @Override
    public java.io.PrintWriter append(char c)

### append

    @Override
    public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

### append

    @Override
    public java.io.PrintWriter append(java.lang.CharSequence csq)

### append

    public GrailsPrintWriter append(java.lang.Object obj)

### append

    public void append(StreamCharBuffer otherBuffer)

### clone

    @Override
    protected java.lang.Object clone()

### leftShift

    public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

### leftShift

    public GrailsPrintWriter leftShift(groovy.lang.Writable writable)

### print

    @Override
    public void print(java.lang.Object obj)

  Print an object. The string produced by the `java.lang.String#valueOf(Object)` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the `write(int)` method.
  Parameters:
    `obj` - The `Object` to be printed
  See Also:
    java.lang.Object#toString()

### print

    @Override
    public void print(java.lang.String s)

  Print a string. If the argument is `null` then the string `""` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the `write(int)` method.
  Parameters:
    `s` - The `String` to be printed

### print

    @Override
    public void print(boolean b)

  delegate methods, not synchronized *

### print

    @Override
    public void print(char c)

### print

    @Override
    public void print(int i)

### print

    @Override
    public void print(long l)

### print

    @Override
    public void print(float f)

### print

    @Override
    public void print(double d)

### print

    @Override
    public void print(char[] s)

### print

    public void print(StreamCharBuffer otherBuffer)

### print

    public void print(groovy.lang.Writable writable)

### println

    @Override
    public void println()

### println

    @Override
    public void println(boolean b)

### println

    @Override
    public void println(char c)

### println

    @Override
    public void println(int i)

### println

    @Override
    public void println(long l)

### println

    @Override
    public void println(float f)

### println

    @Override
    public void println(double d)

### println

    @Override
    public void println(char[] c)

### println

    @Override
    public void println(java.lang.String s)

### println

    @Override
    public void println(java.lang.Object o)

### println

    public void println(StreamCharBuffer otherBuffer)

### write

    @Override
    public void write(java.lang.String s)

  Writes a string. If the argument is `null` then the string `""` is printed.
  Parameters:
    `s` - The `String` to be printed

### write

    @Override
    public void write(int c)

  Write a single character.
  Parameters:
    `c` - int specifying a character to be written.

### write

    @Override
    public void write(char[] buf, int off, int len)

  Write a portion of an array of characters.
  Parameters:
    `buf` - Array of characters
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    @Override
    public void write(java.lang.String s, int off, int len)

  Write a portion of a string.
  Parameters:
    `s` - A String
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    @Override
    public void write(char[] buf)

### write

    public void write(StreamCharBuffer otherBuffer)

### write

    public void write(groovy.lang.Writable writable)

Groovy Documentation